#define IN1A_PIN     3
#define IN1B_PIN     4
#define IN2A_PIN     5
#define IN2B_PIN     6
#define PSAVE_PIN    2  

/****************************************************************/

void setup() {
  pinMode (IN1A_PIN, OUTPUT);
  pinMode (IN1B_PIN, OUTPUT);
  pinMode (IN2A_PIN, OUTPUT);
  pinMode (IN2B_PIN, OUTPUT);
  pinMode (PSAVE_PIN, OUTPUT);
  digitalWrite(PSAVE_PIN, LOW);
}

/****************************************************************/

void loop() {
  int i;
  for (i=0;i<256;++i){ // I faza - przyspieszanie
    ustawMPC17C724(i,i,false,true); 
    delay(20);
  }
  delay (1000);
  for (i=255;i>0;--i){ //I faza - zwalnianie
    ustawMPC17C724(i,i,false,true);
    delay(20);
  }
  for (i=0;i<256;++i){ //II faza - przyspieszanie
    ustawMPC17C724(i,i,true,false);
    delay(20);
  }
   delay (1000);
  for (i=255;i>0;--i){ //II faza - zwalnianie
    ustawMPC17C724(i,i,true,false);
    delay(20);
  }
}

/*******************************************************************/

void ustawMPC17C724 (uint8_t predkosc1, uint8_t predkosc2, bool kierunek1, bool kierunek2) {
  digitalWrite(IN1B_PIN, kierunek1);
  if (kierunek1==false)
     analogWrite (IN1A_PIN, predkosc1);
  else
     analogWrite (IN1A_PIN, 256-predkosc1);
  digitalWrite(IN2B_PIN, kierunek2);
  if (kierunek2==false)
  
     analogWrite (IN2A_PIN, predkosc1);
  else
     analogWrite (IN2A_PIN, 256-predkosc1);
}
